Subject: Re: [PATCH] test-genzeros: avoid raw write(2)

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Feb 2023 08:09:49 -0800

Jeff King <[email-masked]> writes:

>>     I ended up avoiding write_or_die() primarily because there is
>>     nothing "Git" about this helper, which is a poor-man's emulation
>>     of "dd if=/dev/zero".  It felt a bit too much to pull cache.h in
>>     as dependency for it.
>
> I don't find it any more "Git" than xwrite() or die_errno(), really, but
> I am quite happy with what you have here.

True.  I view "git-compat-util.h" as "projects, not limited to Git,
would benefit by its help to use POSIX api more sensibly", while
"cache.h" is "things that are about Git".  write_or_die() is certainly
in the former category, but is not available without "cache.h" X-<.